<?php
/**
 * Zen
 *
 * @author    Zen
 * @copyright Copyright (c) 2021 Zen
 * @license   https://opensource.org/licenses/AFL-3.0  Academic Free License ("AFL") v. 3.0
 *
 * https://www.zen.com/
 */

if (!defined('_PS_VERSION_')) {
    exit;
}

/**
 * Class ZenSuccessModuleFrontController
 *
 * @property bool display_column_left
 * @property bool display_column_right
 */
class ZencomSuccessModuleFrontController extends ModuleFrontController
{
    /**
     * Initialize controller
     * @see FrontController::init()
     */
    public function init()
    {
        $this->display_column_left = false;
        $this->display_column_right = false;
        parent::init();
    }

    /**
     * @throws PrestaShopException
     */
    public function initContent()
    {
        parent::initContent();
        $this->context->smarty->assign([
            'zen_msg_hint_payment' =>
                $this->module->l(
                    'Your order has been processed. You will be informed via e-mail about it end status',
                    'success'
                ),
        ]);

        $this->setTemplate('success.tpl');
    }
}
