{*
 * Zen
 *
 * @author    Zen
 * @copyright Copyright (c) 2021 Zen
 * @license   https://opensource.org/licenses/AFL-3.0  Academic Free License ("AFL") v. 3.0
 *
 * https://www.zen.com/
*}

<div class="zen-wrap bootstrap">
    {if $zen_msg != ''}
        <div class="bootstrap">
            <div class="{if $zen_msg.type == 'error'}alert alert-danger{else}alert alert-success{/if}">{$zen_msg.message|escape:'htmlall':'UTF-8'}</div>
        </div>
    {/if}
    <div class="zen-header">
        <span class="zen-intro">
            <img width="85" alt="zen" src="{$module_dir|escape:'htmlall':'UTF-8'}views/img/logo.svg"/>
        </span>
    </div>

    <div class="zen-half">
        <form id="zen-configuration" method="post" name="zen-configuration">
            <h3>
                <img src="{$module_dir|escape:'htmlall':'UTF-8'}views/img/icon-config.gif" alt="config icon"
                     class="config-icon"/>{$zen_msg_configuration|escape:'htmlall':'UTF-8'}
            </h3>
            <p class="zen-installation-hint">{$zen_msg_hint_installation|escape:'htmlall':'UTF-8'}</p>
            <hr/>

            <label for="zen_enabled">{l s='Pay with Zen' mod='zencom'}</label>
            <div class="margin-form">
                <select name="zen_enabled" class="zen-sel-en">
                    <option value="0" {if $zen_enabled == 0} selected="selected" {/if}>{$zen_msg_off|escape:'htmlall':'UTF-8'}
                    </option>
                    <option value="1" {if $zen_enabled == 1} selected="selected" {/if}>{$zen_msg_on|escape:'htmlall':'UTF-8'}
                    </option>
                </select>
            </div>

            <div id="zen_data">

                <label for="zen_terminal_id">{l s='Terminal UUID' mod='zencom'}</label>
                <div class="margin-form">
                    <input type="text" class="text" name="zen_terminal_id" id="zen_terminal_id"
                           value="{$zen_terminal_id|escape:'htmlall':'UTF-8'}" required/>
                </div>

                <label for="zen_paywall_secret">{l s='Paywall secret' mod='zencom'}</label>
                <div class="margin-form">
                    <input type="text" class="text" name="zen_paywall_secret" id="zen_paywall_secret"
                           value="{$zen_paywall_secret|escape:'htmlall':'UTF-8'}" required/>
                </div>

                <label for="zen_ipn_secret">{l s='IPN secret' mod='zencom'}</label>
                <div class="margin-form">
                    <input type="text" class="text" name="zen_ipn_secret" id="zen_ipn_secret"
                           value="{$zen_ipn_secret|escape:'htmlall':'UTF-8'}" required/>
                </div>

                <label for="zen_api_key">{l s='API key' mod='zencom'}</label>
                <div class="margin-form">
                    <input type="text" class="text" name="zen_api_key" id="zen_api_key"
                           value="{$zen_api_key|escape:'htmlall':'UTF-8'}" required/>
                </div>

                <label for="zen_payment_title">{l s='Payment title' mod='zencom'}</label>
                <div class="margin-form">
                    <input type="text" class="text" name="zen_payment_title" id="zen_payment_title"
                           placeholder="{$zen_payment_title_default|escape:'htmlall':'UTF-8'}"
                           value="{if $zen_payment_title}{$zen_payment_title|escape:'htmlall':'UTF-8'}{/if}"/>
                </div>

                <hr/>

                <div style="float: right;">
                    <input id="submit-zen-configuration"
                           type="submit"
                           class="btn btn-dark"
                           name="submitZen"
                           value="{l s='Save' mod='zencom'}"/>
                </div>
        </form>
    </div>
</div>
